﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BindingIssue.UserControls
{
    /// <summary>
    /// Interaction logic for MSTextboxControl.xaml
    /// </summary>
    public partial class MSTextboxControl : UserControl
    {
        public MSTextboxControl()
        {
            InitializeComponent();
        }

        public String TextBoxText
        {
            get { return (String)GetValue(TextBoxTextProperty); }
            set { SetValue(TextBoxTextProperty, value); }
        }

        public static readonly DependencyProperty TextBoxTextProperty =
            DependencyProperty.Register("TextBoxText", typeof(string), typeof(MSTextboxControl),
            new FrameworkPropertyMetadata(null));
    }
}
