﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace BindingIssue.View
{
    /// <summary>
    /// Interaction logic for Main.xaml
    /// </summary>
    public partial class Main : Page,INotifyPropertyChanged
    {
        private string number;

        public Main()
        {
            InitializeComponent();
            this.DataContext = this;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            myDialog.WindowState = Infragistics.Controls.Interactions.WindowState.Normal;
            myDialog.StartupPosition = Infragistics.Controls.Interactions.StartupPosition.Center;
        }

        public string Number
        {
            get
            {
                return number;
            }
            set
            {
                this.number = value;
                this.OnPropertyChanged("Number");
            }
        }

        #region PropertyChanged
        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(PropertyChangedEventArgs e)
        {
            var handler = this.PropertyChanged;
            if (handler != null)
            {
                handler(this, e);
            }
        }

        /// <summary>
        /// Event handler for PropertyChanged events
        /// </summary>
        /// <param name="propertyName">property name</param>
        protected void OnPropertyChanged(string propertyName)
        {
            this.OnPropertyChanged(new PropertyChangedEventArgs(propertyName));
        }
        #endregion
    }
}
